"""C handler for mkdocstrings."""

from mkdocstrings_handlers.c._internal.config import (
    CConfig,
    CInputConfig,
    CInputOptions,
    COptions,
)
from mkdocstrings_handlers.c._internal.handler import (
    CHandler,
    CodeDoc,
    Comment,
    DocFunc,
    DocGlobalVar,
    DocMacro,
    Docstring,
    DocType,
    FuncParam,
    InOut,
    Macro,
    Param,
    SupportsQualsAndType,
    TypeDecl,
    TypeRef,
    ast_to_decl,
    desc,
    extract_comments,
    extract_macros,
    get_handler,
    lookup_type_html,
    parse_docstring,
    tp_ref_to_str,
    typedef_to_str,
)

__all__ = [
    "CConfig",
    "CHandler",
    "CInputConfig",
    "CInputOptions",
    "COptions",
    "CodeDoc",
    "Comment",
    "DocFunc",
    "DocGlobalVar",
    "DocMacro",
    "DocType",
    "Docstring",
    "FuncParam",
    "InOut",
    "Macro",
    "Param",
    "SupportsQualsAndType",
    "TypeDecl",
    "TypeRef",
    "ast_to_decl",
    "desc",
    "extract_comments",
    "extract_macros",
    "get_handler",
    "lookup_type_html",
    "parse_docstring",
    "tp_ref_to_str",
    "typedef_to_str",
]
